Subject: Re: bug#18795: 25.0.50; Error when click window-mgr icon to close window (frame) and quit Emacs

From: Glenn Morris <[email-masked]>
Date: Fri, 24 Oct 2014 14:34:27 -0400

Eli Zaretskii wrote:

> It would be best to strip temacs.exe manually ("strip temacs.exe") and
> then re-dump Emacs, before running "make install".  That's because
> "make install-strip" on Windows will produce a binary that Windows
> will refuse to run (this is fixed on the trunk), and OTOH uploading a
> binary zip with 2 50MB binaries bloated by DWARF-2 debug info is not
> the best idea.

FWIW this is contrary to the GNU coding standards.
(But then so is using MS Windows. :) )

https://www.gnu.org/prep/standards/html_node/Standard-Targets.html

  Do not strip executables when installing them. This helps eventual
  debugging that may be needed later, and nowadays disk space is cheap [...]